Update RMA Items
patch
https://api.flxpoint.com/rmas/{rmaId}/itemsUse this when you want to update rma data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
This endpoint will update any non-null fields for RMA Items passed in the request body.
Please note: <ul> <li>approvedQuantity and deniedQuantity may only be updated while the RMA is in "Waiting" or "Partially Approved" status.</li> <li>quantity cannot be updated if approvedQuantity or deniedQuantity have previously been updated.</li> </ul>
Request
Body
application/jsonarray[Update RMA Item]
idintegerrequiredskustringquantityintegerreturnConditionstringreturnReasonstringnotestringapprovedQuantityintegerdeniedQuantityintegercostnumbercreditedAmountnumberExample request
patch
/rmas/{rmaId}/itemscurl -X PATCH "https://api.flxpoint.com/rmas/{rmaId}/items" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '[
{
"id": 0,
"sku": "string",
"quantity": 0,
"returnCondition": "string",
"returnReason": "string",
"note": "string",
"approvedQuantity": 0,
"deniedQuantity": 0,
"cost": 0,
"creditedAmount": 0
}
]'Example body · application/json
[
{
"id": 0,
"sku": "string",
"quantity": 0,
"returnCondition": "string",
"returnReason": "string",
"note": "string",
"approvedQuantity": 0,
"deniedQuantity": 0,
"cost": 0,
"creditedAmount": 0
}
]Responses
200OKapplication/json
idintegerreturnIdintegersourceIdintegerrmaNumberstringaccountIdintegerreturnToAddressobjectidintegernamestringField created real-time by concatenating "firstName" and "lastName"
addressLine1stringaddressLine2stringcitystringstatestringcountrystringstateCodestringcountryCodestringpostalstringPostal / Zip Code of address
emailstringphonestringFree form string field, format isn't enforced
companyNamestringfirstNamestringlastNamestringredactedbooleanRepresents if the address information was related to an Order with a PII (Personably Identifiable Information) retention policy attached. If the Order exceeds the PII retention period, this address will have information redacted.
hashstringRepresents a unique hash of this address.
itemsarray[RmaItem]idintegerreturnItemIdintegerrmaIdintegerskustringtitlestringcostnumberreturnReasonstringreturnConditionstringnotestringquantityintegerapprovedQuantityintegerdeniedQuantityintegercreditedAmountnumberreceivedQuantityintegervoidedQuantityintegerbundleComponentsarray[OrderItemBundleComponent]idintegerorderItemIdintegercomponentVirtualVariantIdintegercomponentQuantityintegerquantityintegerrequiredskustringcostnumbershippedQuantityintegershippedStatusCompletionStatusallowed
Not StartedPartially CompletedCompletedallocatedQuantityintegerallocatedStatusCompletionStatusallowed
Not StartedPartially CompletedCompletedacknowledgedQuantityintegeracknowledgedStatusCompletionStatusallowed
Not StartedPartially CompletedCompletedtotalRmaItemsintegercreatedAtstring (date-time)updatedAtstring (date-time)rmaStatusRmaStatusallowed
WaitingApprovedVoidedDeniedPartially ApprovedCanceledrmaShipmentsarray[RmaShipment]idintegerrmaIdintegeraccountIdintegershipmentobjectidintegernotestringtrackingUrlstringtrackingNumberstringcarrierstringmethodstringshippedAtstring (date-time)insertedAtstring (date-time)shippingCostnumberorderIdintegerpurchaseOrderIdintegerfulfillmentRequestIdintegerrmaIdintegersourceIdintegeraccountIdintegerpartialbooleansuppressedbooleansyncedToChannelbooleansyncErrorstringcrossDockPurchaseOrderIdintegershipmentItemsarray[ShipmentItem]idintegerskustringquantityintegershipmentIdintegerinventoryVariantIdinteger (int64)partialbooleanorderItemIdintegerpurchaseOrderItemIdintegerthis field will soon be deprecated, please start using `fulfillmentRequestItemId` instead.
there are basically the same thing, just there has been a terminology change.
fulfillmentRequestItemIdintegercommittedStockReleasedQuantityintegerrmaItemIdintegercustomFieldsarray[ShipmentCustomField]customFieldsarray[ShipmentCustomField]idintegernamestringvaluestringupdatedAtstring (date-time)accountingSyncedbooleanshippingAddressobjectidintegernamestringField created real-time by concatenating "firstName" and "lastName"
addressLine1stringaddressLine2stringcitystringstatestringcountrystringstateCodestringcountryCodestringpostalstringPostal / Zip Code of address
emailstringphonestringFree form string field, format isn't enforced
companyNamestringfirstNamestringlastNamestringredactedbooleanRepresents if the address information was related to an Order with a PII (Personably Identifiable Information) retention policy attached. If the Order exceeds the PII retention period, this address will have information redacted.
hashstringRepresents a unique hash of this address.
attachmentsarray[RmaShipmentAttachment]idintegerrmaIdintegerrmaShipmentIdintegerattachmentTypestringattachmentUrlstringcreatedAtstring (date-time)sentAtstring (date-time)rmaShipmentStatusRmaShipmentStatusallowed
Shipment CreatedShipment SentShipment ReceivedShipment Partially ReceivedShipment VoidedcreditSubtotalnumbercreditAdjustmentnumbercreditTotalnumbercreditLastSyncedAtstring (date-time)syncCreditChangesToOrderbooleanshipmentReceivedStatusShipmentReceivedStatusallowed
not_receivedpartially_receivedfully_receivedaccountingSyncedAtstring (date-time)accountingErrorstringExample response
{
"id": 0,
"returnId": 0,
"sourceId": 0,
"rmaNumber": "string",
"accountId": 0,
"returnToAddress": {
"id": 0,
"name": "Joe Smith",
"addressLine1": "120 1st Lane",
"addressLine2": "Suite 123",
"city": "Jacksonville",
"state": "Florida",
"country": "United States",
"stateCode": "FL",
"countryCode": "US",
"postal": "12345",
"email": "person@example.com",
"phone": "1-555-123-4567",
"companyName": "string",
"firstName": "Joe",
"lastName": "Smith",
"redacted": true,
"hash": "string"
},
"items": [
{
"id": 0,
"returnItemId": 0,
"rmaId": 0,
"sku": "string",
"title": "string",
"cost": 0,
"returnReason": "string",
"returnCondition": "string",
"note": "string",
"quantity": 0,
"approvedQuantity": 0,
"deniedQuantity": 0,
"creditedAmount": 0,
"receivedQuantity": 0,
"voidedQuantity": 0,
"bundleComponents": [
{
"id": null,
"orderItemId": null,
"componentVirtualVariantId": null,
"componentQuantity": null,
"quantity": null,
"sku": null,
"cost": null,
"shippedQuantity": null,
"shippedStatus": null,
"allocatedQuantity": null,
"allocatedStatus": null,
"acknowledgedQuantity": null,
"acknowledgedStatus": null
}
]
}
],
"totalRmaItems": 0,
"createdAt": "2026-04-20T00:00:00Z",
"updatedAt": "2026-04-20T00:00:00Z",
"rmaStatus": "Waiting",
"rmaShipments": [
{
"id": 0,
"rmaId": 0,
"accountId": 0,
"shipment": {
"id": 0,
"note": "string",
"trackingUrl": "string",
"trackingNumber": "string",
"carrier": "string",
"method": "string",
"shippedAt": "2026-04-20T00:00:00Z",
"insertedAt": "2026-04-20T00:00:00Z",
"shippingCost": 0,
"orderId": 0,
"purchaseOrderId": 0,
"fulfillmentRequestId": 0,
"rmaId": 0,
"sourceId": 0,
"accountId": 0,
"partial": true,
"suppressed": true,
"syncedToChannel": true,
"syncError": "string",
"crossDockPurchaseOrderId": 0,
"shipmentItems": [
null
],
"customFields": [
null
],
"updatedAt": "2026-04-20T00:00:00Z",
"accountingSynced": true
},
"shippingAddress": {
"id": 0,
"name": "Joe Smith",
"addressLine1": "120 1st Lane",
"addressLine2": "Suite 123",
"city": "Jacksonville",
"state": "Florida",
"country": "United States",
"stateCode": "FL",
"countryCode": "US",
"postal": "12345",
"email": "person@example.com",
"phone": "1-555-123-4567",
"companyName": "string",
"firstName": "Joe",
"lastName": "Smith",
"redacted": true,
"hash": "string"
},
"attachments": [
{
"id": null,
"rmaId": null,
"rmaShipmentId": null,
"attachmentType": null,
"attachmentUrl": null
}
],
"createdAt": "2026-04-20T00:00:00Z",
"sentAt": "2026-04-20T00:00:00Z",
"rmaShipmentStatus": "Shipment Created"
}
],
"creditSubtotal": 0,
"creditAdjustment": 0,
"creditTotal": 0,
"creditLastSyncedAt": "2026-04-20T00:00:00Z",
"syncCreditChangesToOrder": true,
"shipmentReceivedStatus": "not_received",
"accountingSyncedAt": "2026-04-20T00:00:00Z",
"accountingError": "string"
}400Bad Request
No schema documented for this status.
401Unauthorizedapplication/json
idintegerreturnIdintegersourceIdintegerrmaNumberstringaccountIdintegerreturnToAddressobjectidintegernamestringField created real-time by concatenating "firstName" and "lastName"
addressLine1stringaddressLine2stringcitystringstatestringcountrystringstateCodestringcountryCodestringpostalstringPostal / Zip Code of address
emailstringphonestringFree form string field, format isn't enforced
companyNamestringfirstNamestringlastNamestringredactedbooleanRepresents if the address information was related to an Order with a PII (Personably Identifiable Information) retention policy attached. If the Order exceeds the PII retention period, this address will have information redacted.
hashstringRepresents a unique hash of this address.
itemsarray[RmaItem]idintegerreturnItemIdintegerrmaIdintegerskustringtitlestringcostnumberreturnReasonstringreturnConditionstringnotestringquantityintegerapprovedQuantityintegerdeniedQuantityintegercreditedAmountnumberreceivedQuantityintegervoidedQuantityintegerbundleComponentsarray[OrderItemBundleComponent]idintegerorderItemIdintegercomponentVirtualVariantIdintegercomponentQuantityintegerquantityintegerrequiredskustringcostnumbershippedQuantityintegershippedStatusCompletionStatusallowed
Not StartedPartially CompletedCompletedallocatedQuantityintegerallocatedStatusCompletionStatusallowed
Not StartedPartially CompletedCompletedacknowledgedQuantityintegeracknowledgedStatusCompletionStatusallowed
Not StartedPartially CompletedCompletedtotalRmaItemsintegercreatedAtstring (date-time)updatedAtstring (date-time)rmaStatusRmaStatusallowed
WaitingApprovedVoidedDeniedPartially ApprovedCanceledrmaShipmentsarray[RmaShipment]idintegerrmaIdintegeraccountIdintegershipmentobjectidintegernotestringtrackingUrlstringtrackingNumberstringcarrierstringmethodstringshippedAtstring (date-time)insertedAtstring (date-time)shippingCostnumberorderIdintegerpurchaseOrderIdintegerfulfillmentRequestIdintegerrmaIdintegersourceIdintegeraccountIdintegerpartialbooleansuppressedbooleansyncedToChannelbooleansyncErrorstringcrossDockPurchaseOrderIdintegershipmentItemsarray[ShipmentItem]idintegerskustringquantityintegershipmentIdintegerinventoryVariantIdinteger (int64)partialbooleanorderItemIdintegerpurchaseOrderItemIdintegerthis field will soon be deprecated, please start using `fulfillmentRequestItemId` instead.
there are basically the same thing, just there has been a terminology change.
fulfillmentRequestItemIdintegercommittedStockReleasedQuantityintegerrmaItemIdintegercustomFieldsarray[ShipmentCustomField]customFieldsarray[ShipmentCustomField]idintegernamestringvaluestringupdatedAtstring (date-time)accountingSyncedbooleanshippingAddressobjectidintegernamestringField created real-time by concatenating "firstName" and "lastName"
addressLine1stringaddressLine2stringcitystringstatestringcountrystringstateCodestringcountryCodestringpostalstringPostal / Zip Code of address
emailstringphonestringFree form string field, format isn't enforced
companyNamestringfirstNamestringlastNamestringredactedbooleanRepresents if the address information was related to an Order with a PII (Personably Identifiable Information) retention policy attached. If the Order exceeds the PII retention period, this address will have information redacted.
hashstringRepresents a unique hash of this address.
attachmentsarray[RmaShipmentAttachment]idintegerrmaIdintegerrmaShipmentIdintegerattachmentTypestringattachmentUrlstringcreatedAtstring (date-time)sentAtstring (date-time)rmaShipmentStatusRmaShipmentStatusallowed
Shipment CreatedShipment SentShipment ReceivedShipment Partially ReceivedShipment VoidedcreditSubtotalnumbercreditAdjustmentnumbercreditTotalnumbercreditLastSyncedAtstring (date-time)syncCreditChangesToOrderbooleanshipmentReceivedStatusShipmentReceivedStatusallowed
not_receivedpartially_receivedfully_receivedaccountingSyncedAtstring (date-time)accountingErrorstringExample response
{
"id": 0,
"returnId": 0,
"sourceId": 0,
"rmaNumber": "string",
"accountId": 0,
"returnToAddress": {
"id": 0,
"name": "Joe Smith",
"addressLine1": "120 1st Lane",
"addressLine2": "Suite 123",
"city": "Jacksonville",
"state": "Florida",
"country": "United States",
"stateCode": "FL",
"countryCode": "US",
"postal": "12345",
"email": "person@example.com",
"phone": "1-555-123-4567",
"companyName": "string",
"firstName": "Joe",
"lastName": "Smith",
"redacted": true,
"hash": "string"
},
"items": [
{
"id": 0,
"returnItemId": 0,
"rmaId": 0,
"sku": "string",
"title": "string",
"cost": 0,
"returnReason": "string",
"returnCondition": "string",
"note": "string",
"quantity": 0,
"approvedQuantity": 0,
"deniedQuantity": 0,
"creditedAmount": 0,
"receivedQuantity": 0,
"voidedQuantity": 0,
"bundleComponents": [
{
"id": null,
"orderItemId": null,
"componentVirtualVariantId": null,
"componentQuantity": null,
"quantity": null,
"sku": null,
"cost": null,
"shippedQuantity": null,
"shippedStatus": null,
"allocatedQuantity": null,
"allocatedStatus": null,
"acknowledgedQuantity": null,
"acknowledgedStatus": null
}
]
}
],
"totalRmaItems": 0,
"createdAt": "2026-04-20T00:00:00Z",
"updatedAt": "2026-04-20T00:00:00Z",
"rmaStatus": "Waiting",
"rmaShipments": [
{
"id": 0,
"rmaId": 0,
"accountId": 0,
"shipment": {
"id": 0,
"note": "string",
"trackingUrl": "string",
"trackingNumber": "string",
"carrier": "string",
"method": "string",
"shippedAt": "2026-04-20T00:00:00Z",
"insertedAt": "2026-04-20T00:00:00Z",
"shippingCost": 0,
"orderId": 0,
"purchaseOrderId": 0,
"fulfillmentRequestId": 0,
"rmaId": 0,
"sourceId": 0,
"accountId": 0,
"partial": true,
"suppressed": true,
"syncedToChannel": true,
"syncError": "string",
"crossDockPurchaseOrderId": 0,
"shipmentItems": [
null
],
"customFields": [
null
],
"updatedAt": "2026-04-20T00:00:00Z",
"accountingSynced": true
},
"shippingAddress": {
"id": 0,
"name": "Joe Smith",
"addressLine1": "120 1st Lane",
"addressLine2": "Suite 123",
"city": "Jacksonville",
"state": "Florida",
"country": "United States",
"stateCode": "FL",
"countryCode": "US",
"postal": "12345",
"email": "person@example.com",
"phone": "1-555-123-4567",
"companyName": "string",
"firstName": "Joe",
"lastName": "Smith",
"redacted": true,
"hash": "string"
},
"attachments": [
{
"id": null,
"rmaId": null,
"rmaShipmentId": null,
"attachmentType": null,
"attachmentUrl": null
}
],
"createdAt": "2026-04-20T00:00:00Z",
"sentAt": "2026-04-20T00:00:00Z",
"rmaShipmentStatus": "Shipment Created"
}
],
"creditSubtotal": 0,
"creditAdjustment": 0,
"creditTotal": 0,
"creditLastSyncedAt": "2026-04-20T00:00:00Z",
"syncCreditChangesToOrder": true,
"shipmentReceivedStatus": "not_received",
"accountingSyncedAt": "2026-04-20T00:00:00Z",
"accountingError": "string"
}404Not Found
No schema documented for this status.
OpenAPI fragment
{
"patch": {
"summary": "Update RMA Items",
"description": "This endpoint will update any non-null fields for RMA Items passed in the request body.\n\nPlease note:\n<ul>\n<li>approvedQuantity and deniedQuantity may only be updated while the RMA is in \"Waiting\" or \"Partially Approved\" status.</li>\n<li>quantity cannot be updated if approvedQuantity or deniedQuantity have previously been updated.</li>\n</ul>",
"parameters": [],
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/UpdateRmaItemsRequest"
}
}
}
}
},
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Rma"
}
}
}
},
"400": {
"description": "Bad Request"
},
"401": {
"description": "Unauthorized",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Rma"
}
}
}
},
"404": {
"description": "Not Found"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight